import cv2 as cv
import numpy as np
import tkinter as tk
from tkinter import filedialog, messagebox
import os
from PIL import Image, ImageTk
import configparser

class SharedData:
    def __init__(self):
        self.left_image = None
        self.right_image = None
        self.overlap_region = 200
        self.leftSide = True

    def write_to_config(self, filename='config.ini'):
        config = configparser.ConfigParser()
        config['DEFAULT'] = {
            'overlap_region': str(self.overlap_region),
            'leftSide': str(self.leftSide)
        }
        with open(filename, 'w') as configfile:
            config.write(configfile)

    def read_from_config(self, filename='config.ini'):
        config = configparser.ConfigParser()
        config.read(filename)
        self.overlap_region = config['DEFAULT'].getint('overlap_region', self.overlap_region)
        self.leftSide = config['DEFAULT'].getboolean('leftSide', self.leftSide)
